set terminal png size 1024,1024
set bmargin 5
set key autotitle columnhead

set datafile separator ","

set style line 1 \
    linecolor rgb '#00ff00' \
    linetype 1 linewidth 2 \
    pointtype 7 pointsize 1.5

set style line 2 \
    linecolor rgb '#0000ff' \
    linetype 1 linewidth 2 \
    pointtype 7 pointsize 1.5

set style line 3 \
    linecolor rgb '#ff0000' \
    linetype 1 linewidth 2 \
    pointtype 7 pointsize 1.5

set style line 4 \
    linecolor rgb '#00b300' \
    linetype 1 linewidth 2 \
    pointtype 7 pointsize 1.5

set style line 5 \
    linecolor rgb '#0000cc' \
    linetype 1 linewidth 2 \
    pointtype 7 pointsize 1.5

set style line 6 \
    linecolor rgb '#cc0000' \
    linetype 1 linewidth 2 \
    pointtype 7 pointsize 1.5

set style fill empty

set output 'sizeExp_avg.png'
stats 'size.csv' using 1 name 'MIN_GSP' nooutput
stats 'size.csv' using 6 name 'MAX_GSP' nooutput
stats 'size.csv' using 7 name 'MIN_PS' nooutput
stats 'size.csv' using 12 name 'MAX_PS' nooutput
stats 'size.csv' using 13 name 'MIN_SPAM' nooutput
stats 'size.csv' using 18 name 'MAX_SPAM' nooutput
MAX_max = (MAX_GSP_max + MAX_PS_max + MAX_SPAM_max)/3
MIN_min = (MIN_GSP_min + MIN_PS_min + MIN_SPAM_min)/3
yrangeOffset = ((MAX_max - MIN_min)/100)


stats 'size.csv' using 1 name 'X' nooutput
boxes = X_records*3
rangesize = X_max - X_min
xrangeoffset = rangesize / 10
boxsize = (rangesize / boxes)/10
print boxsize
set boxwidth boxsize
set xrange [(X_min - xrangeoffset):(X_max + xrangeoffset)]
set yrange [(MIN_min-yrangeOffset):(MAX_max+yrangeOffset)]
plot 'size.csv' using 1:4 with lp title 'GSP' ls 1 , \
             '' using 1:10 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:16 with lp title 'SPAM' ls 3

set output 'sizeExp_min.png'
plot 'size.csv' using 1:2 with lp title 'GSP' ls 1 , \
             '' using 1:8 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:14 with lp title 'SPAM' ls 3

set xrange [*:*]
set yrange [*:*]
set logscale x
set output 'sizeExp_min_trimmed.png'
plot 'size.csv' using 1:8 with lp title 'PREFIX_SPAN' ls 2 , \
          '' using 1:14 with lp title 'SPAM' ls 3
unset logscale x

set xrange [*:*]
set yrange [*:*]
set logscale x
set output 'sizeExp_avg_trimmed.png'
plot 'size.csv' using 1:10 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:16 with lp title 'SPAM' ls 3
unset logscale x

set xrange [*:*]
set yrange [*:*]
set output 'unique_avg.png'
stats 'unique.csv' using 1 name 'MIN_GSP' nooutput
stats 'unique.csv' using 6 name 'MAX_GSP' nooutput
stats 'unique.csv' using 7 name 'MIN_PS' nooutput
stats 'unique.csv' using 12 name 'MAX_PS' nooutput
stats 'unique.csv' using 13 name 'MIN_SPAM' nooutput
stats 'unique.csv' using 18 name 'MAX_SPAM' nooutput
MAX_max = (MAX_GSP_max + MAX_PS_max + MAX_SPAM_max)/3
MIN_min = (MIN_GSP_min + MIN_PS_min + MIN_SPAM_min)/3
yrangeOffset = ((MAX_max - MIN_min)/100)


stats 'unique.csv' using 1 name 'X' nooutput
boxes = X_records*3
rangesize = X_max- X_min
xrangeoffset = rangesize / 10
boxsize = (rangesize / boxes)/10
print boxsize
set boxwidth boxsize
set xrange [(X_min - xrangeoffset):(X_max + xrangeoffset)]
set yrange [(MIN_min-yrangeOffset):(MAX_max+yrangeOffset)]
plot 'unique.csv' using 1:4 with lp title 'GSP' ls 1 , \
             '' using 1:10 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:16 with lp title 'SPAM' ls 3

set output 'unique_min.png'
plot 'unique.csv' using 1:2 with lp title 'GSP' ls 1 , \
             '' using 1:8 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:14 with lp title 'SPAM' ls 3

set xrange [*:*]
set yrange [*:*]
set logscale x
set output 'unique_min_trimmed.png'
plot 'unique.csv' using 1:8 with lp title 'PREFIX_SPAN' ls 2 , \
          '' using 1:14 with lp title 'SPAM' ls 3
unset logscale x

set xrange [*:*]
set yrange [*:*]
set logscale x
set output 'unique_avg_trimmed.png'
plot 'unique.csv' using 1:10 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:16 with lp title 'SPAM' ls 3
unset logscale x

set xrange [*:*]
set yrange [*:*]
set output 'minLength_avg.png'
stats 'minLength.csv' using 1 name 'MIN_GSP' nooutput
stats 'minLength.csv' using 6 name 'MAX_GSP' nooutput
stats 'minLength.csv' using 7 name 'MIN_PS' nooutput
stats 'minLength.csv' using 12 name 'MAX_PS' nooutput
stats 'minLength.csv' using 13 name 'MIN_SPAM' nooutput
stats 'minLength.csv' using 18 name 'MAX_SPAM' nooutput
MAX_max = (MAX_GSP_max + MAX_PS_max + MAX_SPAM_max)/3
MIN_min = (MIN_GSP_min + MIN_PS_min + MIN_SPAM_min)/3
yrangeOffset = ((MAX_max - MIN_min)/100)

stats 'minLength.csv' using 1 name 'X' nooutput
boxes = X_records*3
rangesize = X_max- X_min
xrangeoffset = rangesize / 10
boxsize = (rangesize / boxes)/10
print boxsize
set boxwidth boxsize
set xrange [(X_min - xrangeoffset):(X_max + xrangeoffset)]
set yrange [(MIN_min-yrangeOffset):(MAX_max+yrangeOffset)]
plot 'minLength.csv' using 1:4 with lp title 'GSP' ls 1 , \
             '' using 1:10 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:16 with lp title 'SPAM' ls 3

set output 'minLength_min.png'
plot 'minLength.csv' using 1:2 with lp title 'GSP' ls 1 , \
             '' using 1:8 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:14 with lp title 'SPAM' ls 3

set xrange [*:*]
set yrange [*:*]
set logscale x
set output 'minLength_min_trimmed.png'
plot 'minLength.csv' using 1:8 with lp title 'PREFIX_SPAN' ls 2 , \
          '' using 1:14 with lp title 'SPAM' ls 3
unset logscale x

set xrange [*:*]
set yrange [*:*]
set logscale x
set output 'minLength_avg_trimmed.png'
plot 'minLength.csv' using 1:10 with lp title 'PREFIX_SPAN' ls 2 , \
          '' using 1:16 with lp title 'SPAM' ls 3
unset logscale x

set xrange [*:*]
set yrange [*:*]
set output 'avgLength_avg.png'
stats 'avgLength.csv' using 1 name 'MIN_GSP' nooutput
stats 'avgLength.csv' using 6 name 'MAX_GSP' nooutput
stats 'avgLength.csv' using 7 name 'MIN_PS' nooutput
stats 'avgLength.csv' using 12 name 'MAX_PS' nooutput
stats 'avgLength.csv' using 13 name 'MIN_SPAM' nooutput
stats 'avgLength.csv' using 18 name 'MAX_SPAM' nooutput
MAX_max = (MAX_GSP_max + MAX_PS_max + MAX_SPAM_max)/3
MIN_min = (MIN_GSP_min + MIN_PS_min + MIN_SPAM_min)/3
yrangeOffset = ((MAX_max - MIN_min)/100)


stats 'avgLength.csv' using 1 name 'X' nooutput
boxes = X_records*3
rangesize = X_max- X_min
xrangeoffset = rangesize / 10
boxsize = (rangesize / boxes)/10
print boxsize
set boxwidth boxsize
set xrange [(X_min - xrangeoffset):(X_max + xrangeoffset)]
set yrange [(MIN_min-yrangeOffset):(MAX_max+yrangeOffset)]
plot 'avgLength.csv' using 1:4 with lp title 'GSP' ls 1 , \
             '' using 1:10 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:16 with lp title 'SPAM' ls 3

set output 'avgLength_min.png'
plot 'avgLength.csv' using 1:2 with lp title 'GSP' ls 1 , \
             '' using 1:8 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:14 with lp title 'SPAM' ls 3

set xrange [*:*]
set yrange [*:*]
set logscale x
set output 'avgLength_min_trimmed.png'
plot 'avgLength.csv' using 1:8 with lp title 'PREFIX_SPAN' ls 2 , \
          '' using 1:14 with lp title 'SPAM' ls 3
unset logscale x

set xrange [*:*]
set yrange [*:*]
set logscale x
set output 'avgLength_avg_trimmed.png'
plot 'avgLength.csv' using 1:10 with lp title 'PREFIX_SPAN' ls 2 , \
          '' using 1:16 with lp title 'SPAM' ls 3
unset logscale x

set xrange [*:*]
set yrange [*:*]
set output 'maxLength_avg.png'
stats 'maxLength.csv' using 1 name 'MIN_GSP' nooutput
stats 'maxLength.csv' using 6 name 'MAX_GSP' nooutput
stats 'maxLength.csv' using 7 name 'MIN_PS' nooutput
stats 'maxLength.csv' using 12 name 'MAX_PS' nooutput
stats 'maxLength.csv' using 13 name 'MIN_SPAM' nooutput
stats 'maxLength.csv' using 18 name 'MAX_SPAM' nooutput
MAX_max = (MAX_GSP_max + MAX_PS_max + MAX_SPAM_max)/3
MIN_min = (MIN_GSP_min + MIN_PS_min + MIN_SPAM_min)/3
yrangeOffset = ((MAX_max - MIN_min)/100)


stats 'maxLength.csv' using 1 name 'X' nooutput
boxes = X_records*3
rangesize = X_max- X_min
xrangeoffset = rangesize / 10
boxsize = (rangesize / boxes)/10
print boxsize
set boxwidth boxsize
set xrange [(X_min - xrangeoffset):(X_max + xrangeoffset)]
set yrange [(MIN_min-yrangeOffset):(MAX_max+yrangeOffset)]
plot 'maxLength.csv' using 1:4 with lp title 'GSP' ls 1 , \
             '' using 1:10 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:16 with lp title 'SPAM' ls 3

set output 'maxLength_min.png'
plot 'maxLength.csv' using 1:2 with lp title 'GSP' ls 1 , \
             '' using 1:8 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:14 with lp title 'SPAM' ls 3

set xrange [*:*]
set yrange [*:*]
set logscale x
set output 'maxLength_min_trimmed.png'
plot 'maxLength.csv' using 1:8 with lp title 'PREFIX_SPAN' ls 2 , \
          '' using 1:14 with lp title 'SPAM' ls 3
unset logscale x

set xrange [*:*]
set yrange [*:*]
set logscale x
set output 'maxLength_avg_trimmed.png'
plot 'maxLength.csv' using 1:10 with lp title 'PREFIX_SPAN' ls 2 , \
          '' using 1:16 with lp title 'SPAM' ls 3
unset logscale x

set xrange [*:*]
set yrange [*:*]
set output 'minRepeatibility_avg.png'
stats 'minRepeatibility.csv' using 1 name 'MIN_GSP' nooutput
stats 'minRepeatibility.csv' using 6 name 'MAX_GSP' nooutput
stats 'minRepeatibility.csv' using 7 name 'MIN_PS' nooutput
stats 'minRepeatibility.csv' using 12 name 'MAX_PS' nooutput
stats 'minRepeatibility.csv' using 13 name 'MIN_SPAM' nooutput
stats 'minRepeatibility.csv' using 18 name 'MAX_SPAM' nooutput
MAX_max = (MAX_GSP_max + MAX_PS_max + MAX_SPAM_max)/3
MIN_min = (MIN_GSP_min + MIN_PS_min + MIN_SPAM_min)/3
yrangeOffset = ((MAX_max - MIN_min)/100)


stats 'minRepeatibility.csv' using 1 name 'X' nooutput
boxes = X_records*3
rangesize = X_max- X_min
xrangeoffset = rangesize / 10
boxsize = (rangesize / boxes)/10
print boxsize
set boxwidth boxsize
set xrange [(X_min - xrangeoffset):(X_max + xrangeoffset)]
set yrange [(MIN_min-yrangeOffset):(MAX_max+yrangeOffset)]
plot 'minRepeatibility.csv' using 1:4 with lp title 'GSP' ls 1 , \
             '' using 1:10 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:16 with lp title 'SPAM' ls 3

set output 'minRepeatibility_min.png'
plot 'minRepeatibility.csv' using 1:2 with lp title 'GSP' ls 1 , \
             '' using 1:8 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:14 with lp title 'SPAM' ls 3

set xrange [*:*]
set yrange [*:*]
set logscale x
set output 'minRepeatibility_min_trimmed.png'
plot 'minRepeatibility.csv' using 1:8 with lp title 'PREFIX_SPAN' ls 2 , \
          '' using 1:14 with lp title 'SPAM' ls 3
unset logscale x

set xrange [*:*]
set yrange [*:*]
set logscale x
set output 'minRepeatibility_avg_trimmed.png'
plot 'minRepeatibility.csv' using 1:10 with lp title 'PREFIX_SPAN' ls 2 , \
          '' using 1:16 with lp title 'SPAM' ls 3
unset logscale x

set xrange [*:*]
set yrange [*:*]
set output 'avgRepeatibility_avg.png'
stats 'avgRepeatibility.csv' using 1 name 'MIN_GSP' nooutput
stats 'avgRepeatibility.csv' using 6 name 'MAX_GSP' nooutput
stats 'avgRepeatibility.csv' using 7 name 'MIN_PS' nooutput
stats 'avgRepeatibility.csv' using 12 name 'MAX_PS' nooutput
stats 'avgRepeatibility.csv' using 13 name 'MIN_SPAM' nooutput
stats 'avgRepeatibility.csv' using 18 name 'MAX_SPAM' nooutput
MAX_max = (MAX_GSP_max + MAX_PS_max + MAX_SPAM_max)/3
MIN_min = (MIN_GSP_min + MIN_PS_min + MIN_SPAM_min)/3
yrangeOffset = ((MAX_max - MIN_min)/100)


stats 'avgRepeatibility.csv' using 1 name 'X' nooutput
boxes = X_records*3
rangesize = X_max- X_min
xrangeoffset = rangesize / 10
boxsize = (rangesize / boxes)/10
print boxsize
set boxwidth boxsize
set xrange [(X_min - xrangeoffset):(X_max + xrangeoffset)]
set yrange [(MIN_min-yrangeOffset):(MAX_max+yrangeOffset)]
plot 'avgRepeatibility.csv' using 1:4 with lp title 'GSP' ls 1 , \
             '' using 1:10 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:16 with lp title 'SPAM' ls 3

set output 'avgRepeatibility_min.png'
plot 'avgRepeatibility.csv' using 1:2 with lp title 'GSP' ls 1 , \
             '' using 1:8 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:14 with lp title 'SPAM' ls 3

set xrange [*:*]
set yrange [*:*]
set logscale x
set output 'avgRepeatibility_min_trimmed.png'
plot 'avgRepeatibility.csv' using 1:8 with lp title 'PREFIX_SPAN' ls 2 , \
          '' using 1:14 with lp title 'SPAM' ls 3
unset logscale x

set xrange [*:*]
set yrange [*:*]
set logscale x
set output 'avgRepeatibility_avg_trimmed.png'
plot 'avgRepeatibility.csv' using 1:10 with lp title 'PREFIX_SPAN' ls 2 , \
          '' using 1:16 with lp title 'SPAM' ls 3
unset logscale x

set xrange [*:*]
set yrange [*:*]
set output 'maxRepeatibility_avg.png'
stats 'maxRepeatibility.csv' using 1 name 'MIN_GSP' nooutput
stats 'maxRepeatibility.csv' using 6 name 'MAX_GSP' nooutput
stats 'maxRepeatibility.csv' using 7 name 'MIN_PS' nooutput
stats 'maxRepeatibility.csv' using 12 name 'MAX_PS' nooutput
stats 'maxRepeatibility.csv' using 13 name 'MIN_SPAM' nooutput
stats 'maxRepeatibility.csv' using 18 name 'MAX_SPAM' nooutput
MAX_max = (MAX_GSP_max + MAX_PS_max + MAX_SPAM_max)/3
MIN_min = (MIN_GSP_min + MIN_PS_min + MIN_SPAM_min)/3
yrangeOffset = ((MAX_max - MIN_min)/100)


stats 'maxRepeatibility.csv' using 1 name 'X' nooutput
boxes = X_records*3
rangesize = X_max- X_min
xrangeoffset = rangesize / 10
boxsize = (rangesize / boxes)/10
print boxsize
set boxwidth boxsize
set xrange [(X_min - xrangeoffset):(X_max + xrangeoffset)]
set yrange [(MIN_min-yrangeOffset):(MAX_max+yrangeOffset)]
plot 'maxRepeatibility.csv' using 1:4 with lp title 'GSP' ls 1 , \
             '' using 1:10 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:16 with lp title 'SPAM' ls 3

set output 'maxRepeatibility_min.png'
plot 'maxRepeatibility.csv' using 1:2 with lp title 'GSP' ls 1 , \
             '' using 1:8 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:14 with lp title 'SPAM' ls 3

set xrange [*:*]
set yrange [*:*]
set logscale x
set output 'maxRepeatibility_min_trimmed.png'
plot 'maxRepeatibility.csv' using 1:8 with lp title 'PREFIX_SPAN' ls 2 , \
          '' using 1:14 with lp title 'SPAM' ls 3
unset logscale x

set xrange [*:*]
set yrange [*:*]
set logscale x
set output 'maxRepeatibility_avg_trimmed.png'
plot 'maxRepeatibility.csv' using 1:10 with lp title 'PREFIX_SPAN' ls 2 , \
          '' using 1:16 with lp title 'SPAM' ls 3
unset logscale x

set xrange [*:*]
set yrange [*:*]
set output 'avgRepeated_avg.png'
stats 'avgRepeated.csv' using 1 name 'MIN_GSP' nooutput
stats 'avgRepeated.csv' using 6 name 'MAX_GSP' nooutput
stats 'avgRepeated.csv' using 7 name 'MIN_PS' nooutput
stats 'avgRepeated.csv' using 12 name 'MAX_PS' nooutput
stats 'avgRepeated.csv' using 13 name 'MIN_SPAM' nooutput
stats 'avgRepeated.csv' using 18 name 'MAX_SPAM' nooutput
MAX_max = (MAX_GSP_max + MAX_PS_max + MAX_SPAM_max)/3
MIN_min = (MIN_GSP_min + MIN_PS_min + MIN_SPAM_min)/3
yrangeOffset = ((MAX_max - MIN_min)/100)

stats 'avgRepeated.csv' using 1 name 'X' nooutput
boxes = X_records*3
rangesize = X_max- X_min
xrangeoffset = rangesize / 10
boxsize = (rangesize / boxes)/10
print boxsize
set boxwidth boxsize
set xrange [(X_min - xrangeoffset):(X_max + xrangeoffset)]
set yrange [(MIN_min-yrangeOffset):(MAX_max+yrangeOffset)]
plot 'avgRepeated.csv' using 1:4 with lp title 'GSP' ls 1 , \
             '' using 1:10 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:16 with lp title 'SPAM' ls 3

set output 'avgRepeated_min.png'
plot 'avgRepeated.csv' using 1:2 with lp title 'GSP' ls 1 , \
             '' using 1:8 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:14 with lp title 'SPAM' ls 3

set xrange [*:*]
set yrange [*:*]
set logscale x
set output 'avgRepeated_min_trimmed.png'
plot 'avgRepeated.csv' using 1:8 with lp title 'PREFIX_SPAN' ls 2 , \
          '' using 1:14 with lp title 'SPAM' ls 3
unset logscale x

set xrange [*:*]
set yrange [*:*]
set logscale x
set output 'avgRepeated_avg_trimmed.png'
plot 'avgRepeated.csv' using 1:10 with lp title 'PREFIX_SPAN' ls 2 , \
          '' using 1:16 with lp title 'SPAM' ls 3
unset logscale x

set xrange [*:*]
set yrange [*:*]
set output 'threshold_avg.png'
stats 'threshold.csv' using 1 name 'MIN_GSP' nooutput
stats 'threshold.csv' using 6 name 'MAX_GSP' nooutput
stats 'threshold.csv' using 7 name 'MIN_PS' nooutput
stats 'threshold.csv' using 12 name 'MAX_PS' nooutput
stats 'threshold.csv' using 13 name 'MIN_SPAM' nooutput
stats 'threshold.csv' using 18 name 'MAX_SPAM' nooutput
MAX_max = (MAX_GSP_max + MAX_PS_max + MAX_SPAM_max)/3
MIN_min = (MIN_GSP_min + MIN_PS_min + MIN_SPAM_min)/3
yrangeOffset = ((MAX_max - MIN_min)/100)


stats 'threshold.csv' using 1 name 'X' nooutput
boxes = X_records*3
rangesize = X_max- X_min
xrangeoffset = rangesize / 10
boxsize = (rangesize / boxes)/10
print boxsize
set boxwidth boxsize
set xrange [(X_min - xrangeoffset):(X_max + xrangeoffset)]
set yrange [(MIN_min-yrangeOffset):(MAX_max+yrangeOffset)]
plot 'threshold.csv' using 1:4 with lp title 'GSP' ls 1 , \
             '' using 1:10 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:16 with lp title 'SPAM' ls 3

set output 'threshold_min.png'
plot 'threshold.csv' using 1:2 with lp title 'GSP' ls 1 , \
             '' using 1:8 with lp title 'PREFIX_SPAN' ls 2 , \
             '' using 1:14 with lp title 'SPAM' ls 3

set xrange [*:*]
set yrange [*:*]
set logscale x
set output 'threshold_min_trimmed.png'
plot 'threshold.csv' using 1:8 with lp title 'PREFIX_SPAN' ls 2 , \
          '' using 1:14 with lp title 'SPAM' ls 3
unset logscale x

set xrange [*:*]
set yrange [*:*]
set logscale x
set output 'threshold_avg_trimmed.png'
plot 'threshold.csv' using 1:10 with lp title 'PREFIX_SPAN' ls 2 , \
          '' using 1:16 with lp title 'SPAM' ls 3
unset logscale x