
set terminal png size 500,500
set bmargin 5
set key autotitle columnhead

set datafile separator ","

set style data histogram
set boxwidth 0.9 relative
set style fill solid 1.0

set xtic font ", 9"
set xtic rotate by 45
set xtic center offset 0, char -1
set xtic out

set label offset 0, char 1 rotate by 45

round(x) = sprintf("%.2f", x)


set output 'size.png'
set title 'Size Comparison of Datasets'
plot "dataset-current.csv" using 2:xtic(1), '' using 0:2:2 with labels

set output 'uniqueItems.png'
set title 'Comparison of Unique Items in Datasets'
plot "dataset-current.csv" using 3:xtic(1), '' using 0:3:3 with labels

set output 'minLength.png'
set title 'Min Length Comparison of Datasets'
plot "dataset-current.csv" using 4:xtic(1), '' using 0:4:4 with labels

set output 'avgLength.png'
set title 'Avg Length Comparison of Datasets'
plot "dataset-current.csv" using 5:xtic(1), '' using 0:5:(round($5)) with labels

set output 'maxLength.png'
set title 'Max Length Comparison of Datasets'
plot "dataset-current.csv" using 6:xtic(1), '' using 0:6:6 with labels

set output 'minRepeat.png'
set title 'Min Repeatability Comparison of Datasets'
plot "dataset-current.csv" using 7:xtic(1), '' using 0:7:7 with labels

set output 'avgRepeat.png'
set title 'Avg Repeatability Comparison of Datasets'
plot "dataset-current.csv" using 8:xtic(1), '' using 0:8:(round($8)) with labels

set output 'maxRepeat.png'
set title 'Max Repeatability Comparison of Datasets'
plot "dataset-current.csv" using 9:xtic(1), '' using 0:9:9 with labels

set output 'avgRepeatitem.png'
set title 'Avg Repeated Items Comparison of Datasets'
plot "dataset-current.csv" using 10:xtic(1), '' using 0:10:(round($10)) with labels

